# AnsPress - Question and answer #
**Contributors:** [nerdaryan](https://profiles.wordpress.org/nerdaryan)
**Donate link:** https://www.paypal.me/nerdaryan
**Tags:** question, answer, q&a, forum, profile, stackoverflow, quora, buddypress
**Requires at least:** 4.7
**Tested up to:** 4.8
**Stable tag:** 4.1.0
**License:** GPLv2 or later
**Demo:** https://anspress.io/demo/?product=anspress
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html

Free question and answer plugin for WordPress. Made with developers in mind, highly customizable.

## Description ##
AnsPress is an open source, developer friendly, question and answer plugin for WordPress. AnsPress adds a full question and answer system to your existing WordPress site. It can be used to create a q&a network similar to StackOverflow and quora, or be a single page in existing site. The plugin supports multi-languages, shortcodes, reCAPTCHA, email and push notification and more.

AnsPress is not just limited to question and answer. It can be used in many different ways such as BugTracker, Company Internal QA board, support tickets, FAQ etc. Anspress is trusted and used by many popular companies and sites at scale.

**Performance and Optimizations:**

In our latest release we've made big improvements to performance and have tested in many different server environments. It runs smoothly on every type of server with minimal impact on load times. AnsPress (including all of its functionalities) is very fast comparing to other QA plugins. In the latest release we have made major improvements to reduce MySQL queries and to increase the speed of page load for all page templates within plugin.

**Developer Friendly:**

AnsPress is built with developers in mind and can easily be extended to fit your needs. All parts of layout templates can be overridden. Our source code follows WP coding standards and is properly commented. We are working on documentation site which will be available soon.

**Contributors:**

This plugin wouldn't be possible without a huge amount of contribution. Check our contributors at https://anspress.io/contributors/

**Support and Demo:**

We provide support on our site: https://anspress.io/questions
Our support section uses actual version of AnsPress, so you can check out the support site if you want to see full working version of AnsPress.
You can also take the demo site for a test drive https://d.anspress.io/

**AnsPress Key Features:**

* Submit / Filter / Order / Edit / Delete Question
* Answer / Comment
* Vote and Select Best Answer
* Notification Emails and Web Push Notifications
* 10+ languages supported
* Captcha supported
* Shortcodes available
* Private/Public for Question and Answer
* Ability to Follow Questions / Answers
* Featured (Sticky) Question
* Closed questions
* Flag/report questions and answers to moderator
* Basic user profile
* BuddyPress integration
* More to come...

**Free Add-ons:**

* Reputations
* Tags
* Categories
* Bad words filter
* Email notifications
* reCaptcha
* Dynamic text avatar

AnsPress is frequently updated and more features are added based on feedback from our users. This means you are welcome to give us feedback and suggestions as to what you would like to see or need in the plugin. Visit our Github project https://github.com/anspress/anspress  or visit our community https://anspress.io/questions/  to get the updates.


**Page Shortcodes**

Use this shortcode in base to AnsPress work properly
`[anspress]`


## Installation ##

Read full documentation here https://anspress.io/resources/


## Frequently Asked Questions ##

Read full FAQ here https://anspress.io/resources/faq/

## Screenshots ##

1. Question list page.

2. Single question page.

3. User profile

4. User hover card

5. Users directory

6. Notifications



## Changelog ##

Visit our site for full changelog.